Skip to content

Get Playorm from Maven repo

easility edited this page · 3 revisions

Check the latest version here

For Maven:

To get Playorm from public Maven repo, add the below dependency in your pom.xml

<dependency>
  <groupId>com.alvazan</groupId>
  <artifactId>playorm</artifactId>
  <version>1.4.1</version>
</dependency>

Furthermore, Playorm has dependencies on other 3rd part APIs and therefore, you will be required to include them as well:

<dependencies>
  <dependency>
     <groupId>org.antlr</groupId>
     <artifactId>ST4</artifactId>
     <version>4.0.4</version>
     <optional>true</optional>
  </dependency>
  <dependency>
     <groupId>org.antlr</groupId>
     <artifactId>antlr</artifactId>
     <version>3.4</version>
     <optional>true</optional>
  </dependency>
  <dependency>
     <groupId>junit</groupId>
     <artifactId>junit</artifactId>
     <version>4.9</version>
     <optional>true</optional>
  </dependency>
  <dependency>
     <groupId>com.netflix.astyanax</groupId>
     <artifactId>astyanax</artifactId>
     <version>1.0.6</version>
     <optional>true</optional>
     <exclusions>
        <exclusion>
           <groupId>org.slf4j</groupId>
           <artifactId>*</artifactId>
        </exclusion>
        <exclusion>
           <groupId>log4j</groupId>
           <artifactId>*</artifactId>
        </exclusion>
        <exclusion>
           <groupId>com.google.guava</groupId>
           <artifactId>*</artifactId>
        </exclusion>
     </exclusions>
  </dependency>
  <dependency>
     <groupId>org.javassist</groupId>
     <artifactId>javassist</artifactId>
     <version>3.16.1-GA</version>
     <optional>true</optional>
  </dependency>
  <dependency>
     <groupId>com.google.guava</groupId>
     <artifactId>guava</artifactId>
     <version>11.0</version>
     <optional>true</optional>
  </dependency>
  <dependency>
     <groupId>com.google.inject</groupId>
     <artifactId>guice</artifactId>
     <version>3.0</version>
     <optional>true</optional>
  </dependency>
  <dependency>
     <groupId>args4j</groupId>
     <artifactId>args4j</artifactId>
     <version>2.0.16</version>
     <optional>true</optional>
  </dependency>
  <dependency>
     <groupId>ch.qos.logback</groupId>
     <artifactId>logback-classic</artifactId>
     <version>1.0.1</version>
     <optional>true</optional>
  </dependency>
  <dependency>
     <groupId>com.eaio.uuid</groupId>
     <artifactId>uuid</artifactId>
     <version>3.2</version>
     <optional>true</optional>
  </dependency>
</dependencies>

For Ivy:

 <dependency org="com.alvazan" name="playorm" rev="1.4.1"/>

For Grapes:

 @Grapes(
   @Grab(group='com.alvazan', module='playorm', version='1.4.1')
 )

For Gradle:

'com.alvazan:playorm:1.4.1'
Something went wrong with that request. Please try again.